Subject: Re: SAS Keywords (__saveds etc)
From: [email-masked] (Doug Walker)
Date: Mon, 31 Jan 1994 15:41:13 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, [email-masked] (Doug Walker) writes:
|> 
|> In article <[email-masked]>, [email-masked] (James Cooper) writes:
|> |> Well, if you have SAS/C V6.50+, you could use the '#pragma amicall'
|> |> directive we added for MANX support.  It allows specifying a different
|> |> return register than D0 (though D0 is still the default).
|> 
|> The SYNTAX allows for a different register specification, but the
|> SAS/C version of #pragma amicall flags it as an error if you 
|> specify anything other than D0.
|> 
|> Return registers other than D0 are not supported by SAS/C.

Well, this just isn't my day.  I checked the doc, it didn't
mention that limitation; I checked the code produced, and it
does seem to work.  (chomp, chomp, munch munch.)

In actuality, register D0 is the only supported return register
for #pragma regcalls, but not for #pragma amicalls.

Sorry for the false alarm.  I'm getting old and the memory is the
second thing to go, you know (I can't remember what the first
thing is.)

-- 
  *****                    / [email-masked]
 *|_o_o|\\     Doug Walker<  BIX, Portal: djwalker
 *|. o.| ||                \ CompuServe: 71165,2274
  | o  |//     
  ====== 
Any opinions expressed are mine, not those of SAS Institute, Inc.